### Function

# FwupdPlugin version_from_uint32

since: 1.8.2

#### Declaration [src]

    gchar*
    fu_version_from_uint32 (
      guint32 val,
      FwupdVersionFormat kind
    )

#### Description [src]

Returns a dotted decimal version string from a 32 bit number.

Available since: 1.8.2

#### Parameters

`val`

  Type: `guint32`

  A uint32le version number.

`kind`

  Type: `FwupdVersionFormat`

  Version kind used for formatting, e.g. `FWUPD_VERSION_FORMAT_TRIPLET`.

#### Return value

Type: `gchar*`

A version number, e.g. `1.0.3`, or `NULL` if not supported.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.